#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai1_14.inp");
ofstream f2("bai1_14.out");
long long m,n,d,k;
long long ucln(long long a,long long b)
{

    long long r;
    r=a%b;
    if(b==0){
        return a;
    }
    else
        return ucln(b,r);
}
int main()
{
    f1>>m>>n;
    if(m<0){
        k=m*-1;
    }
    d=ucln(k,n);
    f2<<m/d<<" "<<n/d;
    f1.close();
    f2.close();
}
